%{!?kernel_version:%{expand:%%global kernel_version 4.18.0-372.26.1.el8_6.x86_64}}

Name:           cgos
Version:        1.03.032
Release:        372.26.1%{?dist}
Summary:        congatec CGOS interface library

License:        GPLv2 and BSD
URL:            https://www.congatec.com/
Source0:        cgv-1-1_cgoslx-x64-%{version}.tar.xz
Source1:	kmod-%{name}.files
Patch0:		cgos-v1.03.032-rpm.patch

BuildRequires:  elfutils-libelf-devel kernel-devel
BuildRequires:	%kernel_module_package_buildreqs


%description
congatec CGOS interface library.


%package	tools
Summary:        Examples for %{name}

%description	tools
congatec CGOS interface tools.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%kernel_module_package -n %{name}drv -f %{SOURCE1} default

%prep
%autosetup -n %{name}lx-x64-%{version} -p0


%build
%make_build


%install
%{__mkdir_p} %{buildroot}{%{_bindir},%{_libdir}}
%{__mkdir_p} %{buildroot}/lib/modules/%{kverrel}/extra/%{name}drv
%{__mkdir_p} %{buildroot}{%{_modulesloaddir},%{_udevrulesdir}}
%make_install KVERREL=%{kverrel}
%{__mkdir_p} %{buildroot}%{_includedir}
find CgosLib -name '*.h' \
     | xargs -I@ %{__install} -m 0644 @ %{buildroot}%{_includedir}



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license CgosDrv/COPYING_GPL2 CgosLib/COPYING_BSD2
%doc README.txt history.txt
%{_libdir}/*.so

%files devel
%license CgosDrv/COPYING_GPL2 CgosLib/COPYING_BSD2
%{_includedir}/*

%files tools
%license CgosDrv/COPYING_GPL2 CgosLib/COPYING_BSD2
%{_bindir}/*

%changelog
* Tue Sep 27 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 1.03.032-372.26.1
- build for kernel-4.18.0-372.26.1.el8_6.x86_64.

* Fri Jun 17 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 1.03.032-1
- import 
- build for Rocky Linux 8.6 (kernel-4.18.0-372.9.1.el8.x86_64).

* Fri Apr 15 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 1.03.029-6
- build for kernel-4.18.0-348.20.1.el8_5.x86_64.

* Wed Feb 23 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 1.03.029-5
- build for kernel-4.18.0-348.12.2.el8_5.x86_64.

* Thu Jan 27 2022 Takeo Ugai <Takeo.Ugai@sony.com> - 1.03.029-4
- change license and add license files.

* Fri Nov 19 2021 Takeo Ugai <Takeo.Ugai@sony.com> - 1.03.029-3
- for kernel-4.18.0-305.25.1.el8_4.x86_64 (CentOS 8.4.2105).

* Fri May 28 2021 Takeo Ugai <Takeo.Ugai@sony.com> - 1.03.029-2
- for CentOS 8.3.2011.

* Tue Nov 19 2019 Takeo Ugai <Takeo.Ugai@sony.com> - 1.03.029-1
- Initial build
